As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 931389 - Deprecate and remove CanvasRenderingContext2D.mozDash/mozDashOffset
: Deprecate and remove CanvasRenderingContext2D.mozDash/mozDashOffset
Status: RESOLVED FIXED
: addon-compat, dev-doc-needed, site-compat
Product: Core
Classification: Components
Component: Canvas: 2D (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla52
Assigned To: Thomas Wisniewski
:
: Milan Sreckovic [:milan]
Mentors:
: 931643 (view as bug list)
Depends on:
Blocks: unprefix 768067
  Show dependency treegraph
 
Reported: 2013-10-26 10:09 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2016-10-06 05:22 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
931389-remove-mozDash-and-mozDashOffset.diff (13.58 KB, patch)
2016-09-15 06:07 PDT, Thomas Wisniewski
gwright: review+
Details | Diff | Splinter Review
931389-remove-mozDash-and-mozDashOffset.diff (13.58 KB, patch)
2016-10-04 11:29 PDT, Thomas Wisniewski
amarchesini: review+
Details | Diff | Splinter Review

Description User image :Ms2ger (⌚ UTC+1/+2) 2013-10-26 10:09:44 PDT
Originally part of bug 768067, but didn't happen there.
Comment 1 User image :Ms2ger (⌚ UTC+1/+2) 2016-08-11 01:26:47 PDT
*** Bug 931643 has been marked as a duplicate of this bug. ***
Comment 2 User image Thomas Wisniewski 2016-09-15 06:07:42 PDT
Created attachment 8791582 [details] [diff] [review]
931389-remove-mozDash-and-mozDashOffset.diff

Since the unprefixed versions of these features have been in Firefox since version 27, the MDN page for the standard version has noted that they're deprecated since at least July of last year, and no addons on DXR are only using the prefixed versions, I think it's probably safe to go ahead and remove them now. Here's a patch which does so. Try seems fine: https://treeherder.mozilla.org/#/jobs?repo=try&revision=035996f88667

Intent to unship: https://groups.google.com/forum/#!topic/mozilla.dev.platform/UIudMABegcY
Comment 3 User image George Wright (:gw280) (:gwright) (needinfo me!) 2016-09-15 12:11:18 PDT
Comment on attachment 8791582 [details] [diff] [review]
931389-remove-mozDash-and-mozDashOffset.diff

Review of attachment 8791582 [details] [diff] [review]:
-----------------------------------------------------------------

I'm ok with this, but let's give dev-platform a little more time to raise any possible objections.
Comment 4 User image Thomas Wisniewski 2016-10-03 12:10:26 PDT
I still haven't received any feedback on the dev-platform thread, George. Would you still like to wait a while longer?
Comment 5 User image George Wright (:gw280) (:gwright) (needinfo me!) 2016-10-03 13:29:19 PDT
Nope, let's go ahead with this.
Comment 6 User image Thomas Wisniewski 2016-10-04 11:29:11 PDT
Created attachment 8797719 [details] [diff] [review]
931389-remove-mozDash-and-mozDashOffset.diff

Alright then. Here's a rebased version of the patch. A fresh try run* seems fine, so I'm carrying over r+ and requesting check-in.

* https://treeherder.mozilla.org/#/jobs?repo=try&revision=dbc5436cc4cb2f370c38806703dda9126f64f00d
Comment 7 User image Kohei Yoshino [:kohei] 2016-10-04 11:31:22 PDT
Posted the site compatibility doc: https://www.fxsitecompat.com/en-CA/docs/2016/canvas-2d-mozdash-and-mozdashoffset-have-been-removed/
Comment 8 User image Ryan VanderMeulen [:RyanVM] 2016-10-04 11:58:59 PDT
The webidl changes need DOM peer review.
Comment 9 User image Pulsebot 2016-10-05 05:34:59 PDT
Pushed by cbook@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/68ec683e9a5c
remove CanvasRenderingContext2D.mozDash/mozDashOffset. r=gw280, r=baku
Comment 10 User image Carsten Book [:Tomcat] 2016-10-06 03:03:56 PDT
https://hg.mozilla.org/mozilla-central/rev/68ec683e9a5c

Note You need to log in before you can comment on or make changes to this bug.